export class ProtocolResponse {
    private readonly SUCCESS_CODE: number = 0;
    code: number;
    msg: String;
    timestamp: number;
    result: Object;

    public data<T>(t: T): T {
        if (null == this.result) {
            return null;
        }
        return Object.assign(t, this.result);
    }

    public success(): boolean {
        return this.code === this.SUCCESS_CODE;
    }
}
