
import { HashMap } from '../util/HashMap';
export class AudioService {
    static map: HashMap<string, Object> = new HashMap<string, Object>();

    static loadResDir(dir: string,callback?:Function ) {
        let that = this ;
        cc.loader.loadResDir(dir, function (err, assets) {
            if (null != err) {
                return;
            }
            for (let index in assets) {
                let clip: cc.AudioClip = assets[index];
                let name = clip.name;
                that.map.put(name, clip);
            }
            if (null != callback){
                callback();
            }
        });
    }

    static  get<T>(key:string):T{
        return <T>this.map.get(key)
    }
}