import { HashMap } from '../util/HashMap';

export class PrefabService {
    static map: HashMap<string, cc.Prefab> = new HashMap<string, cc.Prefab>();
    static loadRes(url: string): void {
        var that = this;
        cc.loader.loadRes(url, function (err, prefab) {
            that.map.put(prefab._name, prefab);
        });
    }

    static getRes(name: string): cc.Prefab {
        return this.map.get(name);
    }
}