"use strict";
cc._RF.push(module, '07ab1Wc051FBKmr91830Jtc', 'GameComponent');
// Script/component/GameComponent.ts

Object.defineProperty(exports, "__esModule", { value: true });
var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
var GameComponent = /** @class */ (function (_super) {
    __extends(GameComponent, _super);
    function GameComponent() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.player = null;
        _this.star = null;
        _this.bg = null;
        _this.bottom = null;
        return _this;
    }
    GameComponent.prototype.onLoad = function () {
        //cc.director.setDisplayStats(false);
        this.bg.on(cc.Node.EventType.TOUCH_START, this.onBgTouch, this);
    };
    GameComponent.prototype.onEnable = function () {
        console.log("+++++++++onEnable++++++++");
        cc.director.getCollisionManager().enabled = true;
    };
    GameComponent.prototype.onDisable = function () {
        console.log("+++++++++onDisable++++++++");
        cc.director.getCollisionManager().enabled = false;
    };
    GameComponent.prototype.onBgTouch = function () {
        var playerComponent = this.player.getComponent("PlayerComponent");
        playerComponent.moveUp();
    };
    __decorate([
        property(cc.Node)
    ], GameComponent.prototype, "player", void 0);
    __decorate([
        property(cc.Sprite)
    ], GameComponent.prototype, "star", void 0);
    __decorate([
        property(cc.Node)
    ], GameComponent.prototype, "bg", void 0);
    __decorate([
        property(cc.Node)
    ], GameComponent.prototype, "bottom", void 0);
    GameComponent = __decorate([
        ccclass
    ], GameComponent);
    return GameComponent;
}(cc.Component));
exports.default = GameComponent;

cc._RF.pop();