"use strict";
cc._RF.push(module, '440d8yoe3ZNX52i9ImA+YVd', 'ImageService');
// Script/service/ImageService.ts

Object.defineProperty(exports, "__esModule", { value: true });
var HashMap_1 = require("../util/HashMap");
var ImageService = /** @class */ (function () {
    function ImageService() {
    }
    ImageService.loadResDir = function (dir) {
        var that = this;
        cc.loader.loadResDir(dir, cc.SpriteFrame, function (err, spriteFrames) {
            if (null != err) {
                return;
            }
            for (var index in spriteFrames) {
                var sprite = spriteFrames[index];
                that.map.put(sprite.name, sprite);
            }
        });
    };
    ImageService.loadAtlas = function (dir) {
        var that = this;
        cc.loader.loadResDir(dir, cc.SpriteAtlas, function (err, assets) {
            if (null != err) {
                return;
            }
            for (var index in assets) {
                var atlas = assets[index];
                var atlasName = atlas.name;
                atlasName = atlasName.substr(0, atlasName.lastIndexOf("."));
                var spriteFrames = atlas.getSpriteFrames();
                for (var index_1 in spriteFrames) {
                    var sprite = spriteFrames[index_1];
                    var spriteName = atlasName + "_" + sprite.name;
                    that.map.put(spriteName, sprite);
                }
            }
        });
    };
    ImageService.get = function (key) {
        return this.map.get(key);
    };
    ImageService.map = new HashMap_1.HashMap();
    return ImageService;
}());
exports.ImageService = ImageService;

cc._RF.pop();