"use strict";
cc._RF.push(module, 'd9033ulkodCoYwZVt2whrQ/', 'HashMap');
// Script/util/HashMap.ts

Object.defineProperty(exports, "__esModule", { value: true });
var HashMap = /** @class */ (function () {
    function HashMap() {
        this.entities = new Array();
    }
    HashMap.prototype.put = function (k, v) {
        if (k == null) {
            return;
        }
        var old = null;
        if (this.contain(k)) {
            old = this.entities[k];
        }
        else {
            old = v;
        }
        this.entities[k] = v;
        return old;
    };
    HashMap.prototype.init = function (k, v) {
        this.entities = [k, v];
    };
    HashMap.prototype.get = function (k) {
        return this.entities[k];
    };
    HashMap.prototype.contain = function (k) {
        for (var key in this.entities) {
            if (key === k) {
                return true;
            }
        }
        return false;
    };
    HashMap.prototype.size = function () {
        return Object.keys(this.entities).length;
    };
    return HashMap;
}());
exports.HashMap = HashMap;

cc._RF.pop();