(function() {"use strict";var __module = CC_EDITOR ? module : {exports:{}};var __filename = 'preview-scripts/assets/Script/component/PlayerComponent.js';var __require = CC_EDITOR ? function (request) {return cc.require(request, require);} : function (request) {return cc.require(request, __filename);};function __define (exports, require, module) {"use strict";
cc._RF.push(module, 'd7537dRPnxP0ol6N9dborET', 'PlayerComponent', __filename);
// Script/component/PlayerComponent.ts

Object.defineProperty(exports, "__esModule", { value: true });
var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
var MainComponent = /** @class */ (function (_super) {
    __extends(MainComponent, _super);
    function MainComponent() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.player = null;
        _this.jumpHeight = 80;
        return _this;
    }
    MainComponent.prototype.onLoad = function () {
        cc.director.getCollisionManager().enabled = true;
        cc.director.getPhysicsManager().enabled = true;
        this.rigidBody = this.player.getComponent(cc.RigidBody);
    };
    MainComponent.prototype.moveUp = function () {
        this.disablePhysics();
        if (null != this.jumpAction) {
            this.player.stopAction(this.jumpAction);
        }
        var y = this.player.y;
        var actionOne = cc.jumpBy(0.3, cc.v2(0, this.jumpHeight), 20, 1);
        var actionTwo = cc.callFunc(this.moveDone, this);
        var action = cc.sequence(actionOne, actionTwo);
        this.jumpAction = this.player.runAction(action);
    };
    MainComponent.prototype.moveDone = function () {
        this.enablePhysics();
    };
    MainComponent.prototype.enableCollider = function () {
        cc.director.getCollisionManager().enabled = true;
    };
    MainComponent.prototype.enablePhysics = function () {
        this.rigidBody.awake = true;
    };
    MainComponent.prototype.disablePhysics = function () {
        this.rigidBody.awake = false;
    };
    MainComponent.prototype.onCollisionEnter = function (selft, other) {
        //TODO
        if (selft.name == "hand<BoxCollider>" && selft.offset.y == 190) {
            this.disablePhysics();
        }
        else if (selft.name == "bottom<BoxCollider>" && selft.offset.y == 0) {
            this.disablePhysics();
        }
        var posi = selft.node.convertToWorldSpaceAR(selft.node.getPosition());
        console.log(selft.name, ":", other.name, "    selft.offset.y:", selft.offset.y, " wordposi:", posi);
    };
    MainComponent.prototype.updateQuadWithParticle = function (particle, newPosition) {
        console.log("+++++++++updateQuadWithParticle++++++++++++");
    };
    __decorate([
        property(cc.Node)
    ], MainComponent.prototype, "player", void 0);
    MainComponent = __decorate([
        ccclass
    ], MainComponent);
    return MainComponent;
}(cc.Component));
exports.default = MainComponent;

cc._RF.pop();
        }
        if (CC_EDITOR) {
            __define(__module.exports, __require, __module);
        }
        else {
            cc.registerModuleFunc(__filename, function () {
                __define(__module.exports, __require, __module);
            });
        }
        })();
        //# sourceMappingURL=PlayerComponent.js.map
        