export class HashMap<k, v>{
    private entities = new Array<v>();
    constructor() { }
    put(k, v): v {

        if(k == null){
            return ;
        }

        let old = null;
        if (this.contain(k)) {
            old = this.entities[k];
        } else {
            old = v;
        }
        this.entities[k] = v;

        return old;
    }

    private init(k, v): void {
        this.entities = [k, v];
    }

    get(k): v {
        return <v>this.entities[k];
    }

    contain(k): boolean {
        for (let key in this.entities) {
            if (key === k) {
                return true;
            }
        }
        return false;
    }

    size(): number {
        return Object.keys(this.entities).length;
    }
}