export class Util {
    static sleep(milliSeconds) {
        var startTime = new Date().getTime();
        while (new Date().getTime() < startTime + milliSeconds);
    }

    static random(min: number, max: number) {
        var Range = max - min;
        var Rand = Math.random();
        return (min + Math.round(Rand * Range));
    }

    static shuffle <T> (src: Array<T>): Array<T> {
        if (!src) {
            return src;
        }
        src = src.slice();
        var target =new Array<T>(src.length);
        for (var i = 0, len = src.length; i < len; i++) {
            var j = Math.floor(Math.random() * src.length);
            target[i] = src[j];
            src.splice(j, 1);
        }
        return target
    }

    static extend(destination,source) {
        for(var property in source) {
            destination[property] = source[property]
        }
        return destination
    }

}