export class WxUtil{

    /**
     * @param withShareTicket 显示当前页面转发按钮
     * @param success 
     * @param fail 
     * @param complete 
     */
    public static showShareMenu(withShareTicket:boolean,success?:Function,fail?:Function,complete?:Function){
        wx.showShareMenu({
            withShareTicket:withShareTicket,
            success:success,
            fail:fail,
            complete:complete
        });
    }

    public static shareAppMessage(title:string,imageUrl?:string,query?:string,success?:Function,fail?:Function,complete?:Function){

        imageUrl = canvas.toTempFilePathSync({
        destWidth: 500,
        destHeight: 400
        });
        wx.shareAppMessage({
            title:title,
            imageUrl:imageUrl,
            query:query,
            success:success,
            fail:fail,
            complete:complete
        })
    }



}


