"use strict";
cc._RF.push(module, '62c86hXHbpJwJDDsDbZK3qw', 'PropRandomUtil');
// Script/util/PropRandomUtil.ts

Object.defineProperty(exports, "__esModule", { value: true });
var PropRandomUtil = /** @class */ (function () {
    function PropRandomUtil() {
    }
    PropRandomUtil.randomOnePropWithTimes = function (start, end, prop) {
        var props = new Array();
        props.push(prop);
        return this.randomPropWithTimes(start, end, props);
    };
    PropRandomUtil.randomPropWithTimes = function (start, end, props) {
        var now = new Date().getTime();
        var startTime = start.getTime();
        var endTime = end.getTime();
        var award = this.randomProp(props);
        if (award == null) {
            return null;
        }
        var total = award.total;
        var balance = award.balance;
        var dateTime = (endTime - startTime) / total;
        var updateTime = award.updateTime;
        var lastUpdateTime = 0;
        if (null != updateTime) {
            lastUpdateTime = updateTime.getTime();
        }
        var random = Math.round(Math.random() * lastUpdateTime);
        var releaseTime = startTime + (total - balance) * dateTime + random % dateTime;
        if (now < releaseTime) {
            return null;
        }
        award.setUpdateTime(new Date(releaseTime));
        award.decr();
        return award;
    };
    PropRandomUtil.randomProp = function (awards) {
        var weight = 0;
        for (var _i = 0, awards_1 = awards; _i < awards_1.length; _i++) {
            var award = awards_1[_i];
            weight += award.balance;
        }
        if (weight == 0) {
            return null;
        }
        var num = Math.round(Math.random() * weight);
        for (var _a = 0, awards_2 = awards; _a < awards_2.length; _a++) {
            var award = awards_2[_a];
            num -= award.balance;
            if (num < 0) {
                return award;
            }
        }
        return null;
    };
    return PropRandomUtil;
}());
exports.PropRandomUtil = PropRandomUtil;
var Prop = /** @class */ (function () {
    function Prop(name, total) {
        this.total = 0;
        this.balance = 0;
        this.name = name;
        this.total = total;
        this.balance = total;
    }
    Prop.prototype.decr = function () {
        this.balance--;
    };
    Prop.prototype.setUpdateTime = function (updateTime) {
        this.updateTime = updateTime;
    };
    return Prop;
}());
exports.Prop = Prop;

cc._RF.pop();