(function() {"use strict";var __module = CC_EDITOR ? module : {exports:{}};var __filename = 'preview-scripts/assets/Script/util/HashMap.js';var __require = CC_EDITOR ? function (request) {return cc.require(request, require);} : function (request) {return cc.require(request, __filename);};function __define (exports, require, module) {"use strict";
cc._RF.push(module, 'd9033ulkodCoYwZVt2whrQ/', 'HashMap', __filename);
// Script/util/HashMap.ts

Object.defineProperty(exports, "__esModule", { value: true });
var HashMap = /** @class */ (function () {
    function HashMap() {
        this.entities = new Array();
    }
    HashMap.prototype.put = function (k, v) {
        if (k == null) {
            return;
        }
        var old = null;
        if (this.contain(k)) {
            old = this.entities[k];
        }
        else {
            old = v;
        }
        this.entities[k] = v;
        return old;
    };
    HashMap.prototype.init = function (k, v) {
        this.entities = [k, v];
    };
    HashMap.prototype.get = function (k) {
        return this.entities[k];
    };
    HashMap.prototype.contain = function (k) {
        for (var key in this.entities) {
            if (key === k) {
                return true;
            }
        }
        return false;
    };
    HashMap.prototype.size = function () {
        return Object.keys(this.entities).length;
    };
    return HashMap;
}());
exports.HashMap = HashMap;

cc._RF.pop();
        }
        if (CC_EDITOR) {
            __define(__module.exports, __require, __module);
        }
        else {
            cc.registerModuleFunc(__filename, function () {
                __define(__module.exports, __require, __module);
            });
        }
        })();
        //# sourceMappingURL=HashMap.js.map
        